/*
 * cfgparse.h
 *
 * Copyright 2016 Urban Wallasch <irrwahn35@freenet.de>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * * Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer
 *   in the documentation and/or other materials provided with the
 *   distribution.
 * * Neither the name of the copyright holder nor the names of its
 *   contributors may be used to endorse or promote products derived
 *   from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *
 */


#ifndef CFGPARSE_H_INCLUDED
#define CFGPARSE_H_INCLUDED

enum CFG_PARSE_TYPE {
    CFG_PARSE_T_NONE = 0,
    CFG_PARSE_T_INT,
    CFG_PARSE_T_STR,
};

typedef
    struct {
        const char *name;
        enum CFG_PARSE_TYPE type;
        void *pvar;
    }
    cfg_parse_def_t;

extern int cfg_parse_line( char *line, cfg_parse_def_t *def );
extern int cfg_parse_fp( FILE *fp, cfg_parse_def_t *def );
extern int cfg_parse_file( const char *filename, cfg_parse_def_t *def );

extern int cfg_write_fp( FILE *fp, cfg_parse_def_t *def );
extern int cfg_write_file( const char *filename, cfg_parse_def_t *def );


#endif /* ndef _H_INCLUDED */

/* EOF */
